Refresh the Kile website
Open, Needs TriagePublic

Description

The current website for Kile (https://kile.sourceforge.io/) looks quite dated and contains outdated information. I quickly hacked together a new site based on the https://kontact.kde.org website theme (which itself is very similar to the kde.org Aether theme). You can take a look at the result here: https://www.xyquadrat.ch/kile.

I'd need feedback from various sites:

  • @mludwig is the main Kile developer as far as I can tell, so I'd like to know whether you like the idea of a new site & if there are important details that are missing from the site
  • VDG: The current screenshots are very much a WIP, so I'd love to have better looking ones if possible
  • KDE Promo: I am not a native english speaker and it'd be good if someone could proofread all texts + give feedback on the style
  • Also, I don't know if it would be desired to transfer the site to kile.kde.org instead of Sourceforge (it would surely be positive in terms of branding)

I hope that a new website will attract more users to Kile, as it really is an amazing program and I use it extensively to write LaTeX reports.

trickyricky26 added a subscriber: trickyricky26.EditedJan 14 2019, 11:37 AM

I like it!

The Kile Icon at the top left is messed up though due to using a font in the design. The latest version, available in the breeze-icons repo, has the "Kile" text as a path, which ensures it will always look correct.
This is kind of my mistake for committing a svg with a text in it, you just need to use the latest version.

How it looks with the latest version:

Thanks @trickyricky26, I would never have noticed that. Fixed.

Friendly ping to @mludwig, do you have any objections?

ognarb added a subscriber: ognarb.EditedFeb 6 2019, 11:14 PM

Look like there is still a small bug with the social buttons:

Ant while you are at it, could you add a link to the kde mastodon account: https://mastodon.technology/@kde

EDIT: look like I add the javascript disabled, the social buttons are working fine. Sorry for the trouble...

mludwig closed this task as Resolved.Feb 7 2019, 1:29 PM
This comment was removed by mludwig.

Thanks for your efforts - I like the idea of refreshing the website!

However, I'm not sure whether it's a good idea to use the KDE theme on a website that's not hosted under kde.org.

Could you maybe modify the design a bit?

mludwig reopened this task as Open.Feb 7 2019, 1:30 PM

whoops - didn't really mean to set it to resolved...

But then the question is: why is the website not hosted under kde.org?
According the manifesto (https://manifesto.kde.org/commitments.html), it should be - unless there is an "continuity action plan" approved by the KDE sysadmins.

My idea is to host it under kile.kde.org eventually, but for that I'll need to talk with Sysadmin and set everything up. Right now I simply created a demo hosted on my own server because that was easier and I would not have wasted the precious resources of our sysadmins if in the end the site is not wanted.

My idea is to host it under kile.kde.org eventually, but for that I'll need to talk with Sysadmin and set everything up. Right now I simply created a demo hosted on my own server because that was easier and I would not have wasted the precious resources of our sysadmins if in the end the site is not wanted.

Thanks, but Kile's website is just fine under https://kile.sourceforge.io/. You are welcome to propose a new style but it shouldn't be the same as for *.kde.org.

But then the question is: why is the website not hosted under kde.org?
According the manifesto (https://manifesto.kde.org/commitments.html), it should be - unless there is an "continuity action plan" approved by the KDE sysadmins.

Well, there are many reasons: for example, it allows for raising donations directly for the development of Kile. Supporting different operating systems or making AppImages requires additional hardware and the few euros that are raised through this donation program are more than welcome.

(I don't know if you have realised this, but many top tier projects are not hosted under kde.org: kate-editor.org, skrooge.org, krita.org, ...)

My idea is to host it under kile.kde.org eventually, but for that I'll need to talk with Sysadmin and set everything up. Right now I simply created a demo hosted on my own server because that was easier and I would not have wasted the precious resources of our sysadmins if in the end the site is not wanted.

Thanks, but Kile's website is just fine under https://kile.sourceforge.io/. You are welcome to propose a new style but it shouldn't be the same as for *.kde.org.

I'm fine with that - but I don't think I'll create a new style just for Kile. The intention behind this redesign (and others, such as planned in T10827) was to unify the style of various smaller KDE websites which reinforces the KDE branding (see T9122). If this isn't wanted for Kile, I'll move on to other sites.

(I don't know if you have realised this, but many top tier projects are not hosted under kde.org: kate-editor.org, skrooge.org, krita.org, ...)

That isn't exactly true: the manifesto says "hosted on KDE infrastructure". E.g. krita.org and skrooge.org are both registered and as far as I am aware hosted by KDE, whereas kile.sourceforge.io isn't.

Unless there are any more discussion points coming up soon, I'll close & abandon this task because there is no point in forcing a redesign which isn't approved by the developers of Kile.

I'm fine with that - but I don't think I'll create a new style just for Kile. The intention behind this redesign (and others, such as planned in T10827) was to unify the style of various smaller KDE websites which reinforces the KDE branding (see T9122). If this isn't wanted for Kile, I'll move on to other sites.

Ok, no problem.

(I don't know if you have realised this, but many top tier projects are not hosted under kde.org: kate-editor.org, skrooge.org, krita.org, ...)

That isn't exactly true: the manifesto says "hosted on KDE infrastructure". E.g. krita.org and skrooge.org are both registered and as far as I am aware hosted by KDE, whereas kile.sourceforge.io isn't.

To express myself more clearly: they don't use a kde.org subdomain and they don't use the kde.org design.

But then the question is: why is the website not hosted under kde.org?
According the manifesto (https://manifesto.kde.org/commitments.html), it should be - unless there is an "continuity action plan" approved by the KDE sysadmins.

Well, there are many reasons: for example, it allows for raising donations directly for the development of Kile. Supporting different operating systems or making AppImages requires additional hardware and the few euros that are raised through this donation program are more than welcome.

(I don't know if you have realised this, but many top tier projects are not hosted under kde.org: kate-editor.org, skrooge.org, krita.org, ...)

They are all hosted by the KDE infrastructure, just not under the kde.org domain. Kile should do the same, according the manifesto. This is a different discussion than the appearance of the website - which you can decide on your own, even though you should reference the KDE community.
In other words, you can be half-in and half-out: it's all-in or all-out. Please contact the KDE sysadmins.

If you need to collect donations, you can discuss to the KDE e.V., and also see how Krita did it in collaboration with the e.V.. You would get the help of the promo team.
Do you know for example that there is a work in progress to produce appstream images? Moreover, using craft, binary-factory.kde.org produces binary packages for Windows. You probably want to join those projects and share the resources anyway.
That also means announcing the release on kde-announce-apps@ (the beta of kile/kf5 was not even noticed by many distributions).